error_constants.h File Reference

Go to the source code of this file.

## Namespaces

| std

## Enumerations

enum

errc {
address_family_not_supported, address_in_use, address_not_available, already_connected,
argument_list_too_long, argument_out_of_domain, bad_address, bad_file_descriptor,
broken_pipe, connection_aborted, connection_already_in_progress, connection_refused,
connection_reset, cross_device_link, destination_address_required, device_or_resource_busy,
directory_not_empty, executable_format_error, file_exists, file_too_large,
filename_too_long, function_not_supported, host_unreachable, illegal_byte_sequence,
inappropriate_io_control_operation, interrupted, invalid_argument, invalid_seek,
io_error, is_a_directory, message_size, network_down,
network_reset, network_unreachable, no_buffer_space, no_child_process,
no_lock_available, no_message, no_protocol_option, no_space_on_device,
no_such_device_or_address, no_such_device, no_such_file_or_directory, no_such_process,
not_a_directory, not_a_socket, not_connected, not_enough_memory,
operation_in_progress, operation_not_permitted, operation_not_supported, operation_would_block,
permission_denied, protocol_not_supported, read_only_file_system, resource_deadlock_would_occur,
resource_unavailable_try_again, result_out_of_range, timed_out, too_many_files_open_in_system,
too_many_files_open, too_many_links, too_many_symbolic_link_levels, wrong_protocol_type
}

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <system_error>.

Definition in file error_constants.h.